<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Sheriff Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classSheriff-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Sheriff Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Sheriff:</div>
<div class="dyncontent">
<div class="center"><img src="classSheriff__inherit__graph.png" border="0" usemap="#aSheriff_inherit__map" alt="Inheritance graph"/></div>
<map name="aSheriff_inherit__map" id="aSheriff_inherit__map">
<area shape="rect" title=" " alt="" coords="39,80,103,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Sheriff:</div>
<div class="dyncontent">
<div class="center"><img src="classSheriff__coll__graph.png" border="0" usemap="#aSheriff_coll__map" alt="Collaboration graph"/></div>
<map name="aSheriff_coll__map" id="aSheriff_coll__map">
<area shape="rect" title=" " alt="" coords="39,80,103,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4a9b369297a9d1b220c6998f6c496b34"><td class="memItemLeft" align="right" valign="top"><a id="a4a9b369297a9d1b220c6998f6c496b34"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Sheriff</b> (int)</td></tr>
<tr class="separator:a4a9b369297a9d1b220c6998f6c496b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5c4569de9efae44aace0ede0ced747"><td class="memItemLeft" align="right" valign="top"><a id="a7c5c4569de9efae44aace0ede0ced747"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>positionInTrain</b> () const</td></tr>
<tr class="separator:a7c5c4569de9efae44aace0ede0ced747"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39abc1c7de68e4a39bb2cc63debe6dec"><td class="memItemLeft" align="right" valign="top"><a id="a39abc1c7de68e4a39bb2cc63debe6dec"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPositionInTrain</b> (int newPositionInTrain)</td></tr>
<tr class="separator:a39abc1c7de68e4a39bb2cc63debe6dec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f9f6ac620bf7c07da099d1153b01c92"><td class="memItemLeft" align="right" valign="top"><a id="a1f9f6ac620bf7c07da099d1153b01c92"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a1f9f6ac620bf7c07da099d1153b01c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17278e78fecf4ba728bef67d84ea9b5d"><td class="memItemLeft" align="right" valign="top"><a id="a17278e78fecf4ba728bef67d84ea9b5d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:a17278e78fecf4ba728bef67d84ea9b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62dbba42cd1d07fe51034ade310f5851"><td class="memItemLeft" align="right" valign="top"><a id="a62dbba42cd1d07fe51034ade310f5851"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a62dbba42cd1d07fe51034ade310f5851"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e473dc0c3618c30483e6209e227c868"><td class="memItemLeft" align="right" valign="top"><a id="a7e473dc0c3618c30483e6209e227c868"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a7e473dc0c3618c30483e6209e227c868"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="sheriff_8h_source.html">sheriff.h</a></li>
<li>src/sheriff.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
